package de.intevation.flys.importer.parsers;

import java.io.File;

import java.util.List;
import java.util.ArrayList;

import java.io.IOException;
import java.io.LineNumberReader;
import java.io.FileInputStream;
import java.io.InputStreamReader;

import org.apache.log4j.Logger;

import de.intevation.flys.importer.ImportBedHeightEpoch;


public class BedHeightEpochParser {

    public static final String ENCODING = "ISO-8859-1";


    protected List<ImportBedHeightEpoch> bedHeights;


    private static final Logger log =
        Logger.getLogger(BedHeightEpochParser.class);


    public BedHeightEpochParser() {
        bedHeights = new ArrayList<ImportBedHeightEpoch>();
    }


    public List<ImportBedHeightEpoch> getBedHeights() {
        return bedHeights;
    }


    public void parse(File file) throws IOException {
        log.info("Parsing bed height epoch file '" + file + "'");

        LineNumberReader in = null;
        try {
            in =
                new LineNumberReader(
                new InputStreamReader(
                new FileInputStream(file), ENCODING));

            String line = null;
            while ((line = in.readLine()) != null) {
                if ((line = line.trim()).length() == 0) {
                    continue;
                }
            }
        }
        finally {
            if (in != null) {
                in.close();
            }
        }
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
